package org.eclipse.hyades.statistical.ui.editor.internal;
import junit.framework.Test;
import junit.framework.Assert;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;
/**
 * Generated code for the test suite <b>HexDataTest</b> located at
 * <i>/org.eclipse.hyades.statistical.ui.tests/junit/editor/HexDataTest.testsuite</i>.
 */
public class HexDataTest extends HyadesTestCase {
	/**
	 * Constructor for HexDataTest.
	 * @param name
	 */
	public HexDataTest(String name) {
		super(name);
	}
	/**
	 * Returns the JUnit test suite that implements the <b>HexDataTest</b>
	 * definition.
	 */
	public static Test suite() {
		HyadesTestSuite hexdatatest = new HyadesTestSuite("HexDataTest");
		hexdatatest.setArbiter(DefaultTestArbiter.INSTANCE).setId(
				"E263EDE00DB911D88000CB7D889A4D72");
		hexdatatest.addTest(new HexDataTest("testlength").setId(
				"09B9D0800DBA11D88000CB7D889A4D72").setTestInvocationId(
				"10A7F4300DBA11D88000CB7D889A4D72"));
		return hexdatatest;
	}
	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
	}
	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
	}
	/**
	 * test length
	 * @throws Exception
	 */
	public void testlength() throws Exception {
		String tmp = "blah";
		String ret = HexData.stringToHexString(tmp);
		Assert.assertTrue(ret.length() == 8);
	}
}